/*
 * generated by Xtext 2.12.0
 */
package fr.n7.petrinet.txt.ui;

import com.google.inject.Injector;
import fr.n7.petrinet.txt.net.ui.internal.NetActivator;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class NETExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return NetActivator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return NetActivator.getInstance().getInjector(NetActivator.FR_N7_PETRINET_TXT_NET);
	}
	
}
